> For the complete documentation index, see [llms.txt](https://circular-protocol.gitbook.io/standard-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://circular-protocol.gitbook.io/standard-apis/api-docs/javascript/getpublickey.md).

# getPublicKey()

**Method signature**

```javascript
function getPublicKey(privateKey)
```

**Parameters**

| Name         | Type   | Description                                         |
| ------------ | ------ | --------------------------------------------------- |
| `privateKey` | string | The Private Key from where to derive the Public Key |

**Example**

```javascript
var privateKey = "0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2";

var publicKey = CircularProtocolAPI.getPublicKey(privateKey);
```

**Result**

The result will be an object of type String:

```
04b92abae6932e0faa578231fe4f6d83237acccb09f5343a5455abfaf8e2091a989e64dae6e4ebb9f6a1be5bd48d0bab6dbc99641514f19ee43052ab27178fd9ce
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/javascript/getpublickey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
